#### D.4.18.14 dimMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  dimMon (I); I ideal

Return:
  an integer, the dimension of the affine variety defined by the ideal I.
  (returns -1 if I is not a monomial ideal)

Assume:
  I is a monomial ideal of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^3*x*y,w*x*y*z*t,x^2*y^2*z^2,x^2*z^4*t^3,y^3*z;
    dimMon (I);
    ==> 3
    ideal J = w^4,x^3,y^4,z^2,t^6,w^2*x^2*y,w*z*t^4,x^2*y^3,z*t^5;
    dimMon (J);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.